#include <stdio.h>
#include "nevo.h"

extern play_board arrboard[10];
extern int Wcount[10];
extern int Bcount[10];
extern int Wdist[10];
extern int Bdist[10];

/*******************************************
 * Just find a move, any move, thats valid 
 * If you were to use this as an example,
 * you would plug your AI routine in here
 * to return the best move, not a dumb move
********************************************/
void GenerateDumbMove(char turn, int *oldx, int *oldy, int *newx, int *newy)
{
 int i,j;

 for (i=0; i<12; i++) {
   for (j=0; j<7; j++) {
      if (arrboard[0][i][j]==turn) {
	/* found one of our pieces, move this one */
 	*oldx=i; *oldy=j;
        /* check all 8 directions for a valid spot, if found, take it */
        if ((i>0) && (arrboard[0][i-1][j]==' ')) {
	    *newx=i-1; *newy=j; return;
	}
        if ((i<11) && (arrboard[0][i+1][j]==' ')) {
	    *newx=i+1; *newy=j; return;
	}
        if ((j>0) && (arrboard[0][i][j-1]==' ')) {
	    *newx=i; *newy=j-1; return;
	}
        if ((j<7) && (arrboard[0][i][j+1]==' ')) {
	    *newx=i; *newy=j+1; return;
	}
        if ((j<7) && (i<11) && (arrboard[0][i+1][j+1]==' ')) {
	    *newx=i+1; *newy=j+1; return;
	}
        if ((j>0) && (i<11) && (arrboard[0][i+1][j-1]==' ')) {
	    *newx=i+1; *newy=j-1; return;
	}
        if ((j>0) && (i>0) && (arrboard[0][i-1][j-1]==' ')) {
	    *newx=i-1; *newy=j-1; return;
	}
        if ((j<7) && (i>0) && (arrboard[0][i-1][j+1]==' ')) {
	    *newx=i-1; *newy=j+1; return;
	}
      }
   }
 }
}


